<?php
// Own namespace
namespace Org\Mxchange\City\Action\Login;

// Import framework stuff
use Org\Mxchange\CoreFramework\Controller\Controller;
use Org\Mxchange\CoreFramework\Registry\Registerable;
use Org\Mxchange\CoreFramework\Request\Requestable;
use Org\Mxchange\CoreFramework\Response\Responseable;

/**
 * An action for the government page
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2015, 2016 City Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class HtmlCityLoginGovernmentAction extends BaseCityAction implements Commandable, Registerable {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this action
	 *
	 * @param	$resolverInstance	An instance of an action resolver
	 * @return	$actionInstance		An instance of this action class
	 */
	public static final function createHtmlCityLoginGovernmentAction (ActionResolver $resolverInstance) {
		// Get a new instance
		$actionInstance = new HtmlCityLoginGovernmentAction();

		// Set the resolver instance
		$actionInstance->setResolverInstance($resolverInstance);

		// Return the instance
		return $actionInstance;
	}

	/**
	 * Executes the command with given request and response objects
	 *
	 * @param	$requestInstance	An instance of a class with an Requestable interface
	 * @param	$responseInstance	An instance of a class with an Responseable interface
	 * @return	void
	 * @todo	Maybe add more here?
	 */
	public function execute (Requestable $requestInstance, Responseable $responseInstance) {
		// Call parent execute method
		parent::execute($requestInstance, $responseInstance);
	}

	/**
	 * Adds extra filters to the given controller instance
	 *
	 * @param	$controllerInstance		A controller instance
	 * @param	$requestInstance		An instance of a class with an Requestable interface
	 * @return	void
	 * @todo	Add some filters here
	 */
	public function addExtraFilters (Controller $controllerInstance, Requestable $requestInstance) {
		// Unfinished method
	}
}
